package com.zipcoder.payment;

import java.util.Arrays;

public class PaymentPresenter {
    PaymentSortByPayer sorter;
    public String toString(Payment[] pay)
    {
        Arrays.sort(pay);
        StringBuilder br=new StringBuilder();
        for(Payment o:pay)//For each Payment object in pay array
        {

            br.append(o.getShortDescription()+"\n");
        }
        return br.toString();
    }
    public String toStringName(Payment[] pay)
    {
        Arrays.sort(pay,new PaymentSortByPayer());
        StringBuilder br=new StringBuilder();
        for(int i=0;i<pay.length;i++)
        {

            br.append(pay[i].getShortDescription()+"\n");
        }
        return br.toString();
    }
    public String toStringById(Payment[] pay)
    {
        Arrays.sort(pay, (Payment o1,Payment o2) -> Long.compare(o1.getId(),o2.getId()));
        StringBuilder br;
        br = new StringBuilder();
        for(int i=0;i<pay.length;i++)
        {
            br.append(pay[i].getShortDescription()+"\n");
        }
        return br.toString();
    }



}
