package com.zipcoder.payment;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class CheckTest
{
    Check check=new Check((long) 1,"Aleena","123456","76543");
    Check check1=new Check((long) 2,"Boby","987653","98678");
    @Test
    public void testcheckGetID(){

        long expected = 1;
        long actual = check.getId();
        assertEquals(expected,actual);
    }
    @Test
    public void testCheckPayer()
    {
        String expected="aleen";
        check.setPayerName("aleen");
        String actual=check.getPayerName();
        assertEquals(expected, actual);
    }
    @Test
    public void testCheckRoutingNumber()
    {
        String expected="123456789";
        check.setroutingNumber("123456789");
        String actual=check.getroutingNumber();
        assertEquals(expected, actual);
    }
    @Test
    public void testCheckAccountNumber()
    {
        String expected="123456780";
        check.setaccountNumber("123456780");
        String actual=check.getaccountNumber();
        assertEquals(expected, actual);
    }
    @Test
    public void compareToTest()
    {
        int expected=-1;
        int actual=check.getShortDescription().compareTo(check1.getShortDescription());
        assertEquals(expected,actual);
    }

}
