package com.zipcoder.payment;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class CreditCardTest {

    CreditCard credit=new CreditCard(1,"bleena","12345",10,2020);
    CreditCard credit1=new CreditCard(2,"anju","00101",2,2019);
    Check check=new Check((long) 1,"Aleena","123456","76543");
    @Test
    public void creditCardTestGetID(){
        long expected = 1;
        long actual = credit.getId();
        assertEquals(expected,actual);
    }
    @Test
    public void creditCardTestGetNumber(){

        String expected = "12345";
        String actual = credit.getNumber();
        assertEquals(expected,actual);
    }
    @Test
    public void creditPayerNameTest(){

        String expected = "bleena";
        String actual = credit.getPayerName();
        assertEquals(expected,actual);
    }
    @Test
    public void creditexpiredMonthTest(){

        int expected = 10;
        int actual = credit.getexpiredMonth();
        assertEquals(expected,actual);
    }
    @Test
    public void creditexpiredYearTest(){

        int expected = 2020;
        int actual = credit.getexpiredYear();
        assertEquals(expected,actual);
    }
    @Test
    public void compareToTest()//comparaing two different credit cards
    {
        int expected=1;
        int actual=credit.getShortDescription().compareTo(credit1.getShortDescription());
        assertEquals(expected,actual);
    }
    @Test
    public void compareToTestCredit()//comparing same credit card->returns zero
    {
        int expected=0;
        int actual=credit.getShortDescription().compareTo(credit.getShortDescription());
        assertEquals(expected,actual);
    }
    @Test
    public void compareToTestCheck()//comparing credit card with check->
    //CC bleena 2345 10/2020
    //Check Aleena  ****6543

    {
        int expected=-37;
        int actual=credit.getShortDescription().compareTo(check.getShortDescription());
        assertEquals(expected,actual);

    }


}
