package com.zipcoder.payment;

import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class PaypalTest {
    Paypal paypal=new Paypal(1,"boby","boby@gmail.com");
    Paypal paypal1=new Paypal(2,"aleena","aleenarm@gmail.com");
    Check check=new Check((long) 1,"Aleena","123456","76543");
    CreditCard credit=new CreditCard(1,"bleena","12345",10,2020);
    @Test
    public void testPaypalGetID(){

        long expected = 1;
        long actual = paypal.getId();
        assertEquals(expected,actual);
    }
    @Test
    public void testPaypalPayer()
    {
        String expected="boby";
        String actual=paypal.getPayerName();
        assertEquals(expected, actual);
    }
    @Test
    public void testPaypalEmail()
    {
        String expected="boby@gmail.com";
        String actual=paypal.getemail();
        assertEquals(expected, actual);
    }
    @Test
    public void compareToTest()//compare two paypal
    //Paypal boby boby@gmail.com
    //Paypal aleena aleenarm@gmail.com
    {
        int expected=1;
        int actual=paypal.getShortDescription().compareTo(paypal1.getShortDescription());
        assertEquals(expected,actual);
    }
    @Test
    public void compareToCheck()//compare two paypal
    //Paypal boby boby@gmail.com
    //Check Aleena  ****6543
    {
        int expected=13;//(P-C)->(16-3)->13
        int actual=paypal.getShortDescription().compareTo(check.getShortDescription());
        assertEquals(expected,actual);
    }
    @Test
    public void compareToCredit()//compare two credit
    //Paypal boby boby@gmail.com
    //CC bleena 2345 10/2020
    {
        int expected=13;//(P-C)->(16-3)->13
        int actual=paypal.getShortDescription().compareTo(credit.getShortDescription());
        assertEquals(expected,actual);
    }
}
