package com.zipcoder.payment;

public class CreditCard implements Payment{
    private long id;
    private String payer;
    private String number;
    private int expiredMonth;
    private int expiredYear;
    public CreditCard(long id,String payer,String number,int expiredMonth,int expiredYear)
    {
        this.id=id;
        this.payer=payer;
        this.number=number;
        this.expiredMonth=expiredMonth;
        this.expiredYear=expiredYear;
    }
    public String getPayerName()
    {
        return this.payer;
    }
    public void setPayerName(String name)
    {
        this.payer=name;
    }
    public String getShortDescription()
    {
        String number=getNumber();
        StringBuilder br =new StringBuilder();
        br.append("CC").append(" ").append(this.getPayerName()).append(" ")
                .append(number.substring(number.length()-4)).append(" ").append(getexpiredMonth())
                .append("/").append(getexpiredYear());

        System.out.println(br.toString());
        return br.toString();
    }
    public long getId()
    {
        return this.id;
    }
    public void setId(Long id)
    {
        this.id=id;
    }
    public void setNumber(String number)
    {
        this.number=number;
    }
    public String getNumber()
    {
        return this.number;
    }
    public void setexpiredMonth(int expiredMonth)
    {
        this.expiredMonth=expiredMonth;
    }
    public int getexpiredMonth()
    {
        return this.expiredMonth;
    }
    public void setexpiredYear(int expiredYear)
    {
        this.expiredYear=expiredYear;
    }
    public int getexpiredYear()
    {
        return this.expiredYear;
    }

    public int compareTo(Payment o) {
        int number=0;

        if(this.getShortDescription().compareTo(o.getShortDescription())==0)
        {
            number=0;
        }
        if(this.getShortDescription().compareTo(o.getShortDescription())<0)
        {
            number=-1;
        }
        if(this.getShortDescription().compareTo(o.getShortDescription())>0)
        {
            number=1;
        }
        return number;
    }
}
